Skip to main content

Table

View as Markdown

TableInfo object

namestring

Name of table, relative to parent schema.

catalog_namestring

Name of parent catalog.

schema_namestring

Name of parent schema relative to its parent catalog.

table_typestring

Values: MANAGED, EXTERNAL, VIEW, MATERIALIZED_VIEW, STREAMING_TABLE, MANAGED_SHALLOW_CLONE, FOREIGN, EXTERNAL_SHALLOW_CLONE, METRIC_VIEW

data_source_formatstring

Values: DELTA, CSV, JSON, AVRO, PARQUET, ORC, TEXT, UNITY_CATALOG, DELTASHARING, DATABRICKS_FORMAT, MYSQL_FORMAT, ORACLE_FORMAT, POSTGRESQL_FORMAT, REDSHIFT_FORMAT, SNOWFLAKE_FORMAT, SQLDW_FORMAT, SQLSERVER_FORMAT, SALESFORCE_FORMAT, SALESFORCE_DATA_CLOUD_FORMAT, TERADATA_FORMAT, BIGQUERY_FORMAT, NETSUITE_FORMAT, WORKDAY_RAAS_FORMAT, MONGODB_FORMAT, HIVE, VECTOR_INDEX_FORMAT, DATABRICKS_ROW_STORE_FORMAT, DELTA_UNIFORM_HUDI, DELTA_UNIFORM_ICEBERG, ICEBERG

storage_locationstring

Storage root URL for table (for MANAGED, EXTERNAL tables).

view_definitionstring

View definition SQL (when table_type is VIEW, MATERIALIZED_VIEW, or STREAMING_TABLE)

view_dependenciesobject

View dependencies (when table_type == VIEW or MATERIALIZED_VIEW, STREAMING_TABLE)

  • when DependencyList is None, the dependency is not provided;
  • when DependencyList is an empty list, the dependency is provided but is empty;
  • when DependencyList is not an empty list, dependencies are provided and recorded. Note: this field is not set in the output of the listTables API.
Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobject
Show child attributesHide child attributes
table_full_namestring

Full name of the dependent table, in the form of catalog_name.schema_name.table_name.

functionobject
Show child attributesHide child attributes
function_full_namestring

Full name of the dependent function, in the form of catalog_name.schema_name.function_name.

connectionobject
Show child attributesHide child attributes
connection_namestring

Full name of the dependent connection, in the form of connection_name.

credentialobject
Show child attributesHide child attributes
credential_namestring

Full name of the dependent credential, in the form of credential_name.

sql_pathstring

List of schemes whose objects can be referenced without qualification.

ownerstring

Username of current owner of table.

commentstring

User-provided free-form text description.

storage_credential_namestring

Name of the storage credential, when a storage credential is configured for use with this table.

table_constraintsarray of object

List of table constraints. Note: this field is not set in the output of the listTables API.

Show child attributesHide child attributes
primary_key_constraintobject
Show child attributesHide child attributes
namestring

The name of the constraint.

child_columnsarray of string

Column names for this constraint.

timeseries_columnsarray of string

Column names that represent a timeseries.

relyboolean

True if the constraint is RELY, false or unset if NORELY.

foreign_key_constraintobject
Show child attributesHide child attributes
namestring

The name of the constraint.

child_columnsarray of string

Column names for this constraint.

parent_tablestring

The full name of the parent constraint.

parent_columnsarray of string

Column names for this constraint.

relyboolean

True if the constraint is RELY, false or unset if NORELY.

named_table_constraintobject
Show child attributesHide child attributes
namestring

The name of the constraint.

row_filterobject
Show child attributesHide child attributes
function_namestring

The full name of the row filter SQL UDF.

input_column_namesarray of string

The list of table columns to be passed as input to the row filter function. The column types should match the types of the filter function arguments.

input_argumentsarray of object

The list of additional table columns or literals to be passed as additional arguments to a row filter function. This is the replacement of the deprecated input_column_names field and carries information about the types (alias or constant) of the arguments to the filter function.

Show child attributesHide child attributes
columnstring

A column reference.

constantstring

A constant literal.

pipeline_idstring

The pipeline ID of the table. Applicable for tables created by pipelines (Materialized View, Streaming Table, etc.).

enable_predictive_optimizationstring
metastore_idstring

Unique identifier of parent metastore.

full_namestring

Full name of table, in form of catalog_name.schema_name.table_name

data_access_configuration_idstring

Unique ID of the Data Access Configuration to use with the table data.

created_atint64

Time at which this table was created, in epoch milliseconds.

created_bystring

Username of table creator.

updated_atint64

Time at which this table was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the table.

table_idstring

The unique identifier of the table.

delta_runtime_properties_kvpairsobject

Information pertaining to current state of the delta table.

Show child attributesHide child attributes
delta_runtime_propertiesobject

A map of key-value properties attached to the securable.

deleted_atint64

Time at which this table was deleted, in epoch milliseconds. Field is omitted if table is not deleted.

effective_predictive_optimization_flagobject
Show child attributesHide child attributes
valuestring

Whether predictive optimization should be enabled for this object and objects under it.

inherited_from_typestring

The type of the object from which the flag was inherited. If there was no inheritance, this field is left blank.

inherited_from_namestring

The name of the object from which the flag was inherited. If there was no inheritance, this field is left blank.

access_pointstring

The AWS access point to use when accesing s3 for this external location.

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

securable_kind_manifestobject

SecurableKindManifest of table, including capabilities the table has.

Show child attributesHide child attributes
securable_typestring

Securable Type of the kind.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

securable_kindstring

Securable kind to get manifest of.

Values: TABLE_STANDARD, TABLE_EXTERNAL, TABLE_DELTA, TABLE_DELTA_EXTERNAL, TABLE_VIEW, TABLE_METRIC_VIEW, TABLE_DELTASHARING, TABLE_DELTASHARING_MUTABLE, TABLE_VIEW_DELTASHARING, TABLE_METRIC_VIEW_DELTASHARING, TABLE_MATERIALIZED_VIEW_DELTASHARING, TABLE_STREAMING_LIVE_TABLE_DELTASHARING, TABLE_FOREIGN_DELTASHARING, TABLE_DELTA_ICEBERG_DELTASHARING, TABLE_DELTASHARING_OPEN_DIR_BASED, TABLE_FEATURE_STORE, TABLE_FEATURE_STORE_EXTERNAL, TABLE_STREAMING_LIVE_TABLE, TABLE_SYSTEM, TABLE_SYSTEM_DELTASHARING, TABLE_MATERIALIZED_VIEW, TABLE_INTERNAL, TABLE_FOREIGN_BIGQUERY, TABLE_FOREIGN_MYSQL, TABLE_FOREIGN_ORACLE, TABLE_FOREIGN_POSTGRESQL, TABLE_FOREIGN_SQLDW, TABLE_FOREIGN_REDSHIFT, TABLE_FOREIGN_SNOWFLAKE, TABLE_FOREIGN_SQLSERVER, TABLE_FOREIGN_SALESFORCE, TABLE_FOREIGN_SALESFORCE_DATA_CLOUD, TABLE_FOREIGN_SALESFORCE_DATA_CLOUD_FILE_SHARING, TABLE_FOREIGN_SALESFORCE_DATA_CLOUD_FILE_SHARING_VIEW, TABLE_FOREIGN_TERADATA, TABLE_FOREIGN_NETSUITE, TABLE_FOREIGN_DATABRICKS, TABLE_FOREIGN_WORKDAY_RAAS, TABLE_FOREIGN_HIVE_METASTORE, TABLE_FOREIGN_HIVE_METASTORE_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_DBFS_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_EXTERNAL, TABLE_FOREIGN_HIVE_METASTORE_DBFS_EXTERNAL, TABLE_FOREIGN_HIVE_METASTORE_VIEW, TABLE_FOREIGN_HIVE_METASTORE_DBFS_VIEW, TABLE_FOREIGN_HIVE_METASTORE_SHALLOW_CLONE_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_DBFS_SHALLOW_CLONE_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_SHALLOW_CLONE_EXTERNAL, TABLE_FOREIGN_HIVE_METASTORE_DBFS_SHALLOW_CLONE_EXTERNAL, TABLE_FOREIGN_MONGODB, TABLE_DELTA_UNIFORM_HUDI_EXTERNAL, TABLE_DELTA_UNIFORM_ICEBERG_EXTERNAL, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_HIVE_METASTORE_EXTERNAL, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_HIVE_METASTORE_MANAGED, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_SNOWFLAKE, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_DELTASHARING, TABLE_DELTA_UNIFORM_ICEBERG_EXTERNAL_DELTASHARING, TABLE_ICEBERG_UNIFORM_MANAGED, TABLE_DELTA_ICEBERG_MANAGED, TABLE_ONLINE_VECTOR_INDEX_REPLICA, TABLE_ONLINE_VECTOR_INDEX_DIRECT, TABLE_ONLINE_VIEW, TABLE_DB_STORAGE, TABLE_MANAGED_POSTGRESQL

assignable_privilegesarray of string

Privileges that can be assigned to the securable.

optionsarray of object

Detailed specs of allowed options.

Show child attributesHide child attributes
namestring

The unique name of the option.

typestring

The type of the option.

Values: OPTION_TYPE_UNSPECIFIED, OPTION_BOOLEAN, OPTION_NUMBER, OPTION_BIGINT, OPTION_STRING, OPTION_ENUM, OPTION_SERVICE_CREDENTIAL, OPTION_MULTILINE_STRING

default_valuestring

The default value of the option, for example, value '443' for 'port' option.

allowed_valuesarray of string

For drop down / radio button selections, UI will want to know the possible input values, it can also be used by other option types to limit input selections.

hintstring

The hint is used on the UI to suggest what the input value can possibly be like, for example: example.com for 'host' option. Unlike default value, it will not be applied automatically without user input.

descriptionstring

A concise user facing description of what the input value of this option should look like.

is_requiredboolean

Is the option required.

is_secretboolean

Is the option value considered secret and thus redacted on the UI.

is_hiddenboolean

Is the option value not user settable and is thus not shown on the UI.

is_updatableboolean

Is the option updatable by users.

oauth_stagestring

Specifies when the option value is displayed on the UI within the OAuth flow.

Values: OAUTH_STAGE_UNSPECIFIED, BEFORE_AUTHORIZATION_CODE, BEFORE_ACCESS_TOKEN

is_loggableboolean

Specifies whether this option is safe to log, i.e. no sensitive information.

is_creatableboolean

Indicates whether an option can be provided by users in the create/update path of an entity.

is_copiableboolean

Indicates whether an option should be displayed with copy button on the UI.

capabilitiesarray of string

A list of capabilities in the securable kind.

columnsarray of object

The array of ColumnInfo definitions of the table's columns.

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
Show child attributesHide child attributes
function_namestring

The full name of the column mask SQL UDF.

using_column_namesarray of string

The list of additional table columns to be passed as input to the column mask function. The first arg of the mask function should be of the type of the column being masked and the types of the rest of the args should match the types of columns in 'using_column_names'.

using_argumentsarray of object

The list of additional table columns or literals to be passed as additional arguments to a column mask function. This is the replacement of the deprecated using_column_names field and carries information about the types (alias or constant) of the arguments to the mask function.

Show child attributesHide child attributes
columnstring

A column reference.

constantstring

A constant literal.

propertiesobject

A map of key-value properties attached to the securable.

Get

GET /api/2.1/unity-catalog/tables/{full_name_arg}

Gets a table from the metastore for a specific catalog and schema. The caller must satisfy one of the following requirements:

  • Be a metastore admin
  • Be the owner of the parent catalog
  • Be the owner of the parent schema and have the USE_CATALOG privilege on the parent catalog
  • Have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema, and either be the table owner or have the SELECT privilege on the table.

API scopes: unity-catalog

Parameters

full_name_argstringpath

Full name of the table.

include_delta_metadatabooleanquery

Whether delta metadata should be included in the response.

include_browsebooleanquery

Whether to include tables in the response for which the principal can only access selective metadata for.

include_manifest_capabilitiesbooleanquery

Whether to include a manifest containing table capabilities in the response.

Response

Returns the TableInfo object.

List

GET /api/2.1/unity-catalog/tables

Gets an array of all tables for the current metastore under the parent catalog and schema. The caller must be a metastore admin or an owner of (or have the SELECT privilege on) the table. For the latter case, the caller must also be the owner or have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema. There is no guarantee of a specific ordering of the elements in the array.

NOTE: view_dependencies and table_constraints are not returned by ListTables queries.

NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token. Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

Parameters

catalog_namestringquery

Name of parent catalog for tables of interest.

schema_namestringquery

Parent schema of tables.

max_resultsint32query

Maximum number of tables to return. If not set, all the tables are returned (not recommended).

  • when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
  • when set to 0, the page length is set to a server configured value (recommended);
  • when set to a value less than 0, an invalid parameter error is returned;

Constraints: <= 50

page_tokenstringquery

Opaque token to send for the next page of results (pagination).

omit_columnsbooleanquery

Whether to omit the columns of the table from the response or not.

omit_propertiesbooleanquery

Whether to omit the properties of the table from the response or not.

omit_usernamebooleanquery

Whether to omit the username of the table (e.g. owner, updated_by, created_by) from the response or not.

include_browsebooleanquery

Whether to include tables in the response for which the principal can only access selective metadata for.

include_manifest_capabilitiesbooleanquery

Whether to include a manifest containing table capabilities in the response.

Response

Returns a list of TableInfo objects.

Create

POST /api/2.1/unity-catalog/tables

Creates a new table in the specified catalog and schema.

To create an external delta table, the caller must have the EXTERNAL_USE_SCHEMA privilege on the parent schema and the EXTERNAL_USE_LOCATION privilege on the external location. These privileges must always be granted explicitly, and cannot be inherited through ownership or ALL_PRIVILEGES.

Standard UC permissions needed to create tables still apply: USE_CATALOG on the parent catalog (or ownership of the parent catalog), CREATE_TABLE and USE_SCHEMA on the parent schema (or ownership of the parent schema), and CREATE_EXTERNAL_TABLE on external location.

The columns field needs to be in a Spark compatible format, so we recommend you use Spark to create these tables. The API itself does not validate the correctness of the column spec. If the spec is not Spark compatible, the tables may not be readable by Databricks Runtime.

NOTE: The Create Table API for external clients only supports creating external delta tables. The values shown in the respective enums are all values supported by <Databricks>, however for this specific Create Table API, only table_type EXTERNAL and data_source_format DELTA are supported. Additionally, column masks are not supported when creating tables through this API.

API scopes: unity-catalog

AWS

Creates a new table in the specified catalog and schema.

To create an external delta table, the caller must have the EXTERNAL_USE_SCHEMA privilege on the parent schema and the EXTERNAL_USE_LOCATION privilege on the external location. These privileges must always be granted explicitly, and cannot be inherited through ownership or ALL_PRIVILEGES.

Standard UC permissions needed to create tables still apply: USE_CATALOG on the parent catalog (or ownership of the parent catalog), CREATE_TABLE and USE_SCHEMA on the parent schema (or ownership of the parent schema), and CREATE_EXTERNAL_TABLE on external location.

The columns field needs to be in a Spark compatible format, so we recommend you use Spark to create these tables. The API itself does not validate the correctness of the column spec. If the spec is not Spark compatible, the tables may not be readable by Databricks Runtime.

For additional details, see here.

NOTE: The Create Table API for external clients only supports creating external delta tables. The values shown in the respective enums are all values supported by <Databricks>, however for this specific Create Table API, only table_type EXTERNAL and data_source_format DELTA are supported. Additionally, column masks are not supported when creating tables through this API.

Azure

Creates a new table in the specified catalog and schema.

To create an external delta table, the caller must have the EXTERNAL_USE_SCHEMA privilege on the parent schema and the EXTERNAL_USE_LOCATION privilege on the external location. These privileges must always be granted explicitly, and cannot be inherited through ownership or ALL_PRIVILEGES.

Standard UC permissions needed to create tables still apply: USE_CATALOG on the parent catalog (or ownership of the parent catalog), CREATE_TABLE and USE_SCHEMA on the parent schema (or ownership of the parent schema), and CREATE_EXTERNAL_TABLE on external location.

The columns field needs to be in a Spark compatible format, so we recommend you use Spark to create these tables. The API itself does not validate the correctness of the column spec. If the spec is not Spark compatible, the tables may not be readable by Databricks Runtime.

For additional details, see here.

NOTE: The Create Table API for external clients only supports creating external delta tables. The values shown in the respective enums are all values supported by <Databricks>, however for this specific Create Table API, only table_type EXTERNAL and data_source_format DELTA are supported. Additionally, column masks are not supported when creating tables through this API.

GCP

Creates a new table in the specified catalog and schema.

To create an external delta table, the caller must have the EXTERNAL_USE_SCHEMA privilege on the parent schema and the EXTERNAL_USE_LOCATION privilege on the external location. These privileges must always be granted explicitly, and cannot be inherited through ownership or ALL_PRIVILEGES.

Standard UC permissions needed to create tables still apply: USE_CATALOG on the parent catalog (or ownership of the parent catalog), CREATE_TABLE and USE_SCHEMA on the parent schema (or ownership of the parent schema), and CREATE_EXTERNAL_TABLE on external location.

The columns field needs to be in a Spark compatible format, so we recommend you use Spark to create these tables. The API itself does not validate the correctness of the column spec. If the spec is not Spark compatible, the tables may not be readable by Databricks Runtime.

For additional details, see here.

NOTE: The Create Table API for external clients only supports creating external delta tables. The values shown in the respective enums are all values supported by <Databricks>, however for this specific Create Table API, only table_type EXTERNAL and data_source_format DELTA are supported. Additionally, column masks are not supported when creating tables through this API.

Request body

namestring

Name of table, relative to parent schema.

catalog_namestring

Name of parent catalog.

schema_namestring

Name of parent schema relative to its parent catalog.

table_typestring

Values: MANAGED, EXTERNAL, VIEW, MATERIALIZED_VIEW, STREAMING_TABLE, MANAGED_SHALLOW_CLONE, FOREIGN, EXTERNAL_SHALLOW_CLONE, METRIC_VIEW

data_source_formatstring

Values: DELTA, CSV, JSON, AVRO, PARQUET, ORC, TEXT, UNITY_CATALOG, DELTASHARING, DATABRICKS_FORMAT, MYSQL_FORMAT, ORACLE_FORMAT, POSTGRESQL_FORMAT, REDSHIFT_FORMAT, SNOWFLAKE_FORMAT, SQLDW_FORMAT, SQLSERVER_FORMAT, SALESFORCE_FORMAT, SALESFORCE_DATA_CLOUD_FORMAT, TERADATA_FORMAT, BIGQUERY_FORMAT, NETSUITE_FORMAT, WORKDAY_RAAS_FORMAT, MONGODB_FORMAT, HIVE, VECTOR_INDEX_FORMAT, DATABRICKS_ROW_STORE_FORMAT, DELTA_UNIFORM_HUDI, DELTA_UNIFORM_ICEBERG, ICEBERG

storage_locationstring

Storage root URL for table (for MANAGED, EXTERNAL tables).

view_definitionstring

View definition SQL (when table_type is VIEW, MATERIALIZED_VIEW, or STREAMING_TABLE)

view_dependenciesobject

View dependencies (when table_type == VIEW or MATERIALIZED_VIEW, STREAMING_TABLE)

  • when DependencyList is None, the dependency is not provided;
  • when DependencyList is an empty list, the dependency is provided but is empty;
  • when DependencyList is not an empty list, dependencies are provided and recorded. Note: this field is not set in the output of the listTables API.
Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
table_full_namestring

Full name of the dependent table, in the form of catalog_name.schema_name.table_name.

functionobjectRequired
Show child attributesHide child attributes
function_full_namestring

Full name of the dependent function, in the form of catalog_name.schema_name.function_name.

connectionobjectRequired
Show child attributesHide child attributes
connection_namestring

Full name of the dependent connection, in the form of connection_name.

credentialobjectRequired
Show child attributesHide child attributes
credential_namestring

Full name of the dependent credential, in the form of credential_name.

sql_pathstring

List of schemes whose objects can be referenced without qualification.

ownerstring

Username of current owner of table.

commentstring

User-provided free-form text description.

storage_credential_namestring

Name of the storage credential, when a storage credential is configured for use with this table.

table_constraintsarray of object

List of table constraints. Note: this field is not set in the output of the listTables API.

Show child attributesHide child attributes
primary_key_constraintobjectRequired
Show child attributesHide child attributes
namestring

The name of the constraint.

child_columnsarray of string

Column names for this constraint.

timeseries_columnsarray of string

Column names that represent a timeseries.

relyboolean

True if the constraint is RELY, false or unset if NORELY.

foreign_key_constraintobjectRequired
Show child attributesHide child attributes
namestring

The name of the constraint.

child_columnsarray of string

Column names for this constraint.

parent_tablestring

The full name of the parent constraint.

parent_columnsarray of string

Column names for this constraint.

relyboolean

True if the constraint is RELY, false or unset if NORELY.

named_table_constraintobjectRequired
Show child attributesHide child attributes
namestring

The name of the constraint.

row_filterobject
Show child attributesHide child attributes
function_namestring

The full name of the row filter SQL UDF.

input_column_namesarray of string

The list of table columns to be passed as input to the row filter function. The column types should match the types of the filter function arguments.

input_argumentsarray of object

The list of additional table columns or literals to be passed as additional arguments to a row filter function. This is the replacement of the deprecated input_column_names field and carries information about the types (alias or constant) of the arguments to the filter function.

Show child attributesHide child attributes
columnstringRequired

A column reference.

constantstringRequired

A constant literal.

pipeline_idstring

The pipeline ID of the table. Applicable for tables created by pipelines (Materialized View, Streaming Table, etc.).

enable_predictive_optimizationstring
metastore_idstring

Unique identifier of parent metastore.

full_namestring

Full name of table, in form of catalog_name.schema_name.table_name

data_access_configuration_idstring

Unique ID of the Data Access Configuration to use with the table data.

created_atint64

Time at which this table was created, in epoch milliseconds.

created_bystring

Username of table creator.

updated_atint64

Time at which this table was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the table.

table_idstring

The unique identifier of the table.

delta_runtime_properties_kvpairsobject

Information pertaining to current state of the delta table.

Show child attributesHide child attributes
delta_runtime_propertiesobject

A map of key-value properties attached to the securable.

deleted_atint64

Time at which this table was deleted, in epoch milliseconds. Field is omitted if table is not deleted.

effective_predictive_optimization_flagobject
Show child attributesHide child attributes
valuestring

Whether predictive optimization should be enabled for this object and objects under it.

inherited_from_typestring

The type of the object from which the flag was inherited. If there was no inheritance, this field is left blank.

inherited_from_namestring

The name of the object from which the flag was inherited. If there was no inheritance, this field is left blank.

access_pointstring

The AWS access point to use when accesing s3 for this external location.

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

securable_kind_manifestobject

SecurableKindManifest of table, including capabilities the table has.

Show child attributesHide child attributes
securable_typestring

Securable Type of the kind.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

securable_kindstring

Securable kind to get manifest of.

Values: TABLE_STANDARD, TABLE_EXTERNAL, TABLE_DELTA, TABLE_DELTA_EXTERNAL, TABLE_VIEW, TABLE_METRIC_VIEW, TABLE_DELTASHARING, TABLE_DELTASHARING_MUTABLE, TABLE_VIEW_DELTASHARING, TABLE_METRIC_VIEW_DELTASHARING, TABLE_MATERIALIZED_VIEW_DELTASHARING, TABLE_STREAMING_LIVE_TABLE_DELTASHARING, TABLE_FOREIGN_DELTASHARING, TABLE_DELTA_ICEBERG_DELTASHARING, TABLE_DELTASHARING_OPEN_DIR_BASED, TABLE_FEATURE_STORE, TABLE_FEATURE_STORE_EXTERNAL, TABLE_STREAMING_LIVE_TABLE, TABLE_SYSTEM, TABLE_SYSTEM_DELTASHARING, TABLE_MATERIALIZED_VIEW, TABLE_INTERNAL, TABLE_FOREIGN_BIGQUERY, TABLE_FOREIGN_MYSQL, TABLE_FOREIGN_ORACLE, TABLE_FOREIGN_POSTGRESQL, TABLE_FOREIGN_SQLDW, TABLE_FOREIGN_REDSHIFT, TABLE_FOREIGN_SNOWFLAKE, TABLE_FOREIGN_SQLSERVER, TABLE_FOREIGN_SALESFORCE, TABLE_FOREIGN_SALESFORCE_DATA_CLOUD, TABLE_FOREIGN_SALESFORCE_DATA_CLOUD_FILE_SHARING, TABLE_FOREIGN_SALESFORCE_DATA_CLOUD_FILE_SHARING_VIEW, TABLE_FOREIGN_TERADATA, TABLE_FOREIGN_NETSUITE, TABLE_FOREIGN_DATABRICKS, TABLE_FOREIGN_WORKDAY_RAAS, TABLE_FOREIGN_HIVE_METASTORE, TABLE_FOREIGN_HIVE_METASTORE_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_DBFS_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_EXTERNAL, TABLE_FOREIGN_HIVE_METASTORE_DBFS_EXTERNAL, TABLE_FOREIGN_HIVE_METASTORE_VIEW, TABLE_FOREIGN_HIVE_METASTORE_DBFS_VIEW, TABLE_FOREIGN_HIVE_METASTORE_SHALLOW_CLONE_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_DBFS_SHALLOW_CLONE_MANAGED, TABLE_FOREIGN_HIVE_METASTORE_SHALLOW_CLONE_EXTERNAL, TABLE_FOREIGN_HIVE_METASTORE_DBFS_SHALLOW_CLONE_EXTERNAL, TABLE_FOREIGN_MONGODB, TABLE_DELTA_UNIFORM_HUDI_EXTERNAL, TABLE_DELTA_UNIFORM_ICEBERG_EXTERNAL, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_HIVE_METASTORE_EXTERNAL, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_HIVE_METASTORE_MANAGED, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_SNOWFLAKE, TABLE_DELTA_UNIFORM_ICEBERG_FOREIGN_DELTASHARING, TABLE_DELTA_UNIFORM_ICEBERG_EXTERNAL_DELTASHARING, TABLE_ICEBERG_UNIFORM_MANAGED, TABLE_DELTA_ICEBERG_MANAGED, TABLE_ONLINE_VECTOR_INDEX_REPLICA, TABLE_ONLINE_VECTOR_INDEX_DIRECT, TABLE_ONLINE_VIEW, TABLE_DB_STORAGE, TABLE_MANAGED_POSTGRESQL

assignable_privilegesarray of string

Privileges that can be assigned to the securable.

optionsarray of object

Detailed specs of allowed options.

Show child attributesHide child attributes
namestring

The unique name of the option.

typestring

The type of the option.

Values: OPTION_TYPE_UNSPECIFIED, OPTION_BOOLEAN, OPTION_NUMBER, OPTION_BIGINT, OPTION_STRING, OPTION_ENUM, OPTION_SERVICE_CREDENTIAL, OPTION_MULTILINE_STRING

default_valuestring

The default value of the option, for example, value '443' for 'port' option.

allowed_valuesarray of string

For drop down / radio button selections, UI will want to know the possible input values, it can also be used by other option types to limit input selections.

hintstring

The hint is used on the UI to suggest what the input value can possibly be like, for example: example.com for 'host' option. Unlike default value, it will not be applied automatically without user input.

descriptionstring

A concise user facing description of what the input value of this option should look like.

is_requiredboolean

Is the option required.

is_secretboolean

Is the option value considered secret and thus redacted on the UI.

is_hiddenboolean

Is the option value not user settable and is thus not shown on the UI.

is_updatableboolean

Is the option updatable by users.

oauth_stagestring

Specifies when the option value is displayed on the UI within the OAuth flow.

Values: OAUTH_STAGE_UNSPECIFIED, BEFORE_AUTHORIZATION_CODE, BEFORE_ACCESS_TOKEN

is_loggableboolean

Specifies whether this option is safe to log, i.e. no sensitive information.

is_creatableboolean

Indicates whether an option can be provided by users in the create/update path of an entity.

is_copiableboolean

Indicates whether an option should be displayed with copy button on the UI.

capabilitiesarray of string

A list of capabilities in the securable kind.

columnsarray of object

The array of ColumnInfo definitions of the table's columns.

Show child attributesHide child attributes
namestring

Name of Column.

type_textstring

Full data type specification as SQL/catalogString text.

type_namestring

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

positionint32

Ordinal position of column (starting at position 0).

type_precisionint32

Digits of precision; required for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required for DecimalTypes.

type_interval_typestring

Format of IntervalType.

type_jsonstring

Full data type specification, JSON-serialized.

commentstring

User-provided free-form text description.

nullableboolean

Whether field may be Null (default: true).

Default: true

partition_indexint32

Partition index for column.

maskobject
Show child attributesHide child attributes
function_namestring

The full name of the column mask SQL UDF.

using_column_namesarray of string

The list of additional table columns to be passed as input to the column mask function. The first arg of the mask function should be of the type of the column being masked and the types of the rest of the args should match the types of columns in 'using_column_names'.

using_argumentsarray of object

The list of additional table columns or literals to be passed as additional arguments to a column mask function. This is the replacement of the deprecated using_column_names field and carries information about the types (alias or constant) of the arguments to the mask function.

Show child attributesHide child attributes
columnstringRequired

A column reference.

constantstringRequired

A constant literal.

propertiesobject

A map of key-value properties attached to the securable.

Response

Returns the TableInfo object.

Delete

DELETE /api/2.1/unity-catalog/tables/{full_name_arg}

Deletes a table from the specified parent catalog and schema. The caller must be the owner of the parent catalog, have the USE_CATALOG privilege on the parent catalog and be the owner of the parent schema, or be the owner of the table and have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema.

API scopes: unity-catalog

Parameters

full_name_argstringpath

Full name of the table.